%global debug_package %{nil}
%global commit_sha 200b3aa

Name:           kind
Version:        0.29.0
Release:        1%{?dist}
Summary:        Kubernetes IN Docker - local clusters for testing Kubernetes
License:        ASL 2.0
URL:            https://kind.sigs.k8s.io

Source0:        https://github.com/kubernetes-sigs/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  golang
BuildRequires:  make

%description
kind is a tool for running local Kubernetes clusters using Docker container "nodes". kind was primarily designed for testing Kubernetes itself, but may be used for local development or CI.

%prep
%autosetup


%build
%make_build COMMIT=%{commit_sha} COMMIT_COUNT=v%{version}

mkdir completion
./bin/%{name} completion bash > completion/%{name}
./bin/%{name} completion zsh > completion/_%{name}
./bin/%{name} completion fish > completion/%{name}.fish


%install
install -D -p -m 0755 bin/%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 644 completion/%{name} -t %{buildroot}%{_datadir}/bash-completion/completions/
install -Dpm 644 completion/_%{name} -t %{buildroot}%{_datadir}/zsh/site-functions/
install -Dpm 644 completion/%{name}.fish -t %{buildroot}%{_datadir}/fish/vendor_completions.d/


%files
%license LICENSE
%doc *.md
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish

%changelog
* Fri Jun 20 2025 Matyáš Kroupa <kroupa.matyas@gmail.com> - 0.29.0-1
- Initial version
